Retrieve an account list definition
get
/api/bulk/2.0/accounts/lists/{id}
Retrieves an account list definition.
Request
Supported Media Types
- application/json
- text/csv
Path Parameters
-
id(required): integer
The account field definition's unique resource identifier.
Response
Supported Media Types
- application/json
200 Response
OK.
Root Schema : AccountListIndividualResponse
Type:
objectTitle:
AccountListIndividualResponseThe response body contains information about the account list definition.
Show Source
-
count:
integer
Title:
countNumber of results returned in the request. -
createdAt:
string(date-time)
Title:
createdAtThe date and time the entity was created, expressed using the ISO-8601 standard. This is a read-only property. -
createdBy:
string
Title:
createdByThe login id of the user who created the entity. This is a read-only property. -
name:
string
Title:
nameThe name of the account definition. -
statement:
string
Title:
statementThe markup language statement used to reference the field in an import or export mapping. -
updatedAt:
string(date-time)
Title:
updatedAtThe date and time the entity was last updated, expressed using the ISO-8601 standard. This is a read-only property. -
updatedBy:
string
Title:
updatedByThe login id of the user that last updated the entity. This is a read-only property. -
uri:
string
Title:
uriSystem-generated unique resource identifier that defines the definition for future referencing. This is a read-only property.
400 Response
Bad request. See Status Codes for information about other possible HTTP status codes.
401 Response
Unauthorized. See Status Codes for information about other possible HTTP status codes.
403 Response
Forbidden. See Status Codes for information about other possible HTTP status codes.
404 Response
The requested resource was not found. See Status Codes for information about other possible HTTP status codes.
409 Response
There was a conflict. See Status Codes for information about other possible HTTP status codes.
410 Response
The requested resource is no longer available. See Status Codes for information about other possible HTTP status codes.
412 Response
The resource you are attempting to delete has dependencies, and cannot be deleted. See Status Codes for information about other possible HTTP status codes.
413 Response
Storage space exceeded. See Status Codes for information about other possible HTTP status codes.
500 Response
The service has encountered an internal server error. See Status Codes for information about other possible HTTP status codes.
503 Response
There was a timeout processing the request. See Status Codes for information about other possible HTTP status codes.
Examples
The following examples demonstrate how to retrieve an account list definition using an HTTP request and cURL. For more information on requests, see API requests.
HTTP Request Example
Retrieve the definition for the accounts list with id = 1:
GET /api/bulk/2.0/accounts/lists/1
Response:
{
"name":"SYSTEM - CRM Accounts",
"count":0,
"statement":"{{AccountList[1]}}",
"uri":"/accounts/lists/1",
"createdBy":"Deploy.User",
"createdAt":"2005-11-11T16:39:05.0000000Z",
"updatedBy":"Deploy.User",
"updatedAt":"2011-05-27T15:16:08.9800000Z"
}
cURL Example
Here is the same example in cURL given an instance with the name APITest, username API.User, and POD of 3.
curl --user "APITest\API.User" --request GET https://secure.p03.eloqua.com/api/bulk/2.0/accounts/lists/1